/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package setup;

import java.io.File;

/**
 * A fájlok helyét meghatározó osztály
 * @author Esta
 */
public class FileLocations {

    /**
     * Visszatér a beállításokat tartalmazó mappa nevével.
     * @return a settings mappa neve
     */
    public static String getSettingsDir() {
        if (FileLocations.isWindows()) {
            return System.getenv("APPDATA") + File.separator + "XMLCalculator";
        } else if (FileLocations.isLinux()) {
            return "" + System.getenv("HOME") + "/.XMLCalculator";
        } else {
            return "";
        }
    }

    
    /**
     * Olyan metódus, ami megállapítja, hogy windowst használunk-e a program futtatásához.
     * @return igen, ha windowst használunk.
     */
    public static boolean isWindows() {
        return System.getProperty("os.name").toLowerCase().startsWith("windows");
    }

    /**
     * Olyan metódus, ami megállapítja, hogy linuxot használunk-e a program futtatásához.
     * @return igen, ha linuxot használunk.
     */
    public static boolean isLinux() {
        return System.getProperty("os.name").toLowerCase().startsWith("linux");
    }
}
